servers.bootstrapProxy
POST
/servers/{serverId}/edge-proxy/bootstrap
const url = 'https://example.com/api/servers/example/edge-proxy/bootstrap';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"edgeProxyProviderKey":"example","attemptId":"example","reason":"repair"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/servers/example/edge-proxy/bootstrap \ --header 'Content-Type: application/json' \ --data '{ "edgeProxyProviderKey": "example", "attemptId": "example", "reason": "repair" }'Repairs or bootstraps provider-owned edge proxy infrastructure. Public docs: /docs/servers/operations/proxy-and-terminal/#server-proxy-readiness
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” serverId
required
string
Request Body
Section titled “Request Body ” Media type application/json
object
edgeProxyProviderKey
string
attemptId
string
reason
string
Responses
Section titled “ Responses ”OK
Media type application/json
object
serverId
required
string
attemptId
required
string
Example generated
{ "serverId": "example", "attemptId": "example"}